%define module	Apache-AuthCookie
%define name	perl-%{module}
%define version 3.12
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
Summary:	Perl Authentication and Authorization via cookies
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Apache/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	apache-mod_perl
BuildRequires:	perl-libwww-perl
BuildRequires:	perl-CGI
BuildRequires:	perl(Apache::Test) >= 1.25
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Apache::AuthCookie allows you to intercept a user's first unauthenticated
access to a protected document. The user will be presented with a custom
form where they can enter authentication credentials. The credentials are
posted to the server where AuthCookie verifies them and returns a session
key.

The session key is returned to the user's browser as a cookie. As a cookie,
the browser will pass the session key on every subsequent accesses.
AuthCookie will verify the session key and re-authenticate the user.

All you have to do is write a custom module that inherits from AuthCookie.
See the POD documentation for more details.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
export APACHE_TEST_HTTPD=%{_sbindir}/httpd
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Apache2
%{_mandir}/*/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.12-2mdv2009.0
+ Revision: 268365
- rebuild early 2009.0 package (before pixel changes)

* Sun May 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.12-1mdv2009.0
+ Revision: 211180
- fix build dependencies
- new version

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 3.11-1mdv2008.1
+ Revision: 177285
- update to new version 3.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.10-1mdv2007.0
- New version 3.10
- spec cleanup
- fix directory ownership

* Mon May 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.09-1mdk
- 3.09

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.08-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3.08-1mdk
- initial Mandriva package

